# cf. h-mle/Prog/ex1.ml
with(DEtools):
plotsetup(x11):

step3a:=proc()
  local G,V,V1,W0,W1;
  G:=exp(x*t-t^3);
  V:=evalf(Int(subs(x=0,G),t=0..infinity));
  W0:=evalf(exp(1)*V); 

  V1:=evalf(Int(subs(x=0,diff(G,x)),t=0..infinity));
  W1:=evalf(-exp(1)*V+exp(1)*V1);
  RETURN([W0,W1]);
end:

step3:=proc(T1,T2) 
  local F,W0,W1;
  F:=step3a();
  W0:=F[1]; W1:=F[2];
  printf("Initial condition is [%a,%a]\n",W0,W1);
  DEplot(3*diff(y(x),x$2)+6*diff(y(x),x)
         +(3-x)*y(x) = exp(-x+1),y(x),
         x=0..5,[[y(0)=W0,D(y)(0)=W1]]);
end:
